hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From He Chen <airb...@gmail.com>
Subject JSPUtil compile error
Date Fri, 11 Jun 2010 20:43:31 GMT
Hello everyone

I want to add some new feature to the Hadoop web interface. But I met a
problem when I was compiling hadoop source code. Here is the error
information:

/workspace/mapreduce/trunk/build/src/org/apache/hadoop/mapred/analysejobhistory_jsp.java:109:
getJobInfo(org.apache.hadoop.fs.Path,org.apache.hadoop.fs.FileSystem,org.apache.hadoop.mapred.JobTracker)
in org.apache.hadoop.mapred.JSPUtil cannot be applied to
(javax.servlet.http.HttpServletRequest,org.apache.hadoop.fs.FileSystem)

       [javac]   JobHistoryParser.JobInfo job = JSPUtil.getJobInfo(request,
fs);

       [javac]                                         ^

       [javac] Note:
/Users/che/Documents/workspace/mapreduce/trunk/build/src/org/apache/hadoop/mapred/analysejobhistory_jsp.java
uses or overrides a deprecated API.

BTW, I can compile the original code successfully in Eclipse.

I want to generate a graph on the analysihobhitory.jsp by using jfreechart.
It looks like the the JSPUtil conflicts with servlet?? Any suggestion will
be appreciated!!!

Thank you in advance.
-- 
Best Wishes!


--
Chen He
(402)613-9298
PhD. student of CSE Dept.
Research Assistant of Holland Computing Center
University of Nebraska-Lincoln
Lincoln NE 68588

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message